Package com.massivecraft.factions.zcore.nbtapi

## Class NBTFile

- java.lang.Object
- - com.massivecraft.factions.zcore.nbtapi.NBTCompound
  - - com.massivecraft.factions.zcore.nbtapi.NBTFile

-     public class NBTFile
      extends NBTCompound

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NBTFile​(java.io.File file)` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.Object` | `getCompound()` |
    `java.io.File` | `getFile()` |
    `void` | `save()` |
    `protected void` | `setCompound​(java.lang.Object compound)` |

    - ### Methods inherited from class com.massivecraft.factions.zcore.nbtapi.NBTCompound

      `addCompound, asNBTString, getBoolean, getByte, getByteArray, getCompound, getContent, getDouble, getFloat, getIntArray, getInteger, getKeys, getList, getLong, getName, getObject, getParent, getShort, getString, getType, hasKey, mergeCompound, removeKey, set, setBoolean, setByte, setByteArray, setDouble, setFloat, setIntArray, setInteger, setLong, setObject, setShort, setString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NBTFile

          public NBTFile​(java.io.File file)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### save

          public void save()
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getFile

          public java.io.File getFile()

    - #### getCompound

          protected java.lang.Object getCompound()

      Overrides:
        `getCompound` in class `NBTCompound`

    - #### setCompound

          protected void setCompound​(java.lang.Object compound)

      Overrides:
        `setCompound` in class `NBTCompound`